Summary:	Yet another file browser
Name:		xfe
Version:	1.19.2
Release:	%mkrel 1
License:	GPLv2+
Group:		File tools
Url:		http://roland65.free.fr/xfe
Source0:	http://downloads.sourceforge.net/xfe/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRequires:	libpng-devel
BuildRequires:	fox1.6-devel
BuildRequires:	libxft-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
X File Explorer (Xfe) is an MS-Explorer like file manager for X.
It is based on the popular, but discontinued, X Win Commander,
originally developed by Maxim Baranov.

Xfe aims to be the file manager of choice for all light thinking Unix addicts!

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--enable-release \
	--enable-threads=posix \
	--without-included-gettext \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std rcdir=%{_sysconfdir}/%{name}
install -D %{SOURCE1} %{buildroot}%{_datadir}/applications/xfe.desktop

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README TODO ChangeLog
%{_bindir}/xf*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/xferc
%{_datadir}/applications/xfe.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/icons
%{_mandir}/man1/*


%changelog
* Sun Aug 03 2008 Frederik Himpe <fhimpe@mandriva.org> 1.19.2-1mdv2009.0
+ Revision: 261986
- update to new version 1.19.2

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19.1-1mdv2009.0
+ Revision: 233529
- update to new version 1.19.1

* Mon Jun 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.19-1mdv2009.0
+ Revision: 219403
- update to new version 1.19

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jun 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.18-1mdv2009.0
+ Revision: 215216
- fix file list
- update to new version 1.18
- add missing buildrequires
- new version
- new library policy
- compile with posix thread suport

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Apr 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-1mdv2008.0
+ Revision: 14817
- new version


* Sat Feb 10 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.98-1mdv2007.0
+ Revision: 118801
- add doc files
- new version
- fix buildrequires
- add missing file

* Tue Jan 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.88-1mdv2007.1
+ Revision: 115565
- Import xfe

